Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
529 lines (317 sloc) 23.5 KB

Changelog

v6.0.4

v6.0.3

v6.0.2

v6.0.1

v6.0.0

v5.4.5

v5.4.4

v5.4.3

v5.3.3

v5.3.2

v5.3.1

v5.3.0

v5.2.2

v5.2.1

v5.2.0

v5.1.1

v5.1.0

v5.0.0

v4.5.0

v4.4.2

v4.4.1

v4.4.0

v4.3.1

Please note, this bug fix requires that vue-loader users still using v14 should either upgrade to v15 or explicitly pass the same ts-loader options via v14's loaders option. See more details here

v4.3.0

v4.2.0

v4.1.0

v4.0.1

v4.0.0

  • Support webpack 4
  • Drop support for webpack 2/3 BREAKING CHANGE - use ts-loader 3.x if you need webpack 2/3 support
  • Minimum TypeScript version is now 2.4.1 BREAKING CHANGE
  • Deprecated option entryFileCannotBeJs removed' BREAKING CHANGE
  • Start using prettier for the codebase

v3.5.0

v3.4.0

v3.3.1

v3.3.0

v3.2.0

v3.1.1

v3.1.0

v3.0.5

v3.0.4

v3.0.3

  • Fix allowJs @types resolution error (#657, #655) - thanks @johnnyreilly and @roddypratt + @ldrick for providing minimal repro repos which allowed me to fix this long standing bug!

This fix resolves the issue for TypeScript 2.4+ (which is likely 95% of users). For those people stuck on 2.3 or below and impacted by this issue, you should be able to workaround this by setting entryFileCannotBeJs: true in your ts-loader options. This option should be considered deprecated as of this release. The option will likely disappear with the next major version of ts-loader which will drop support for TypeScript 2.3 and below, thus removing the need for this option.

v3.0.0

All changes were made with this PR - thanks @johnnyreilly

(Published to npm as v3.0.2 due to npm publishing issues) thanks @mattlewis92 for noticing!

  • drop support for typescript < 2.0 (no-one seems to be using it and we can simplify the code) BREAKING CHANGE
  • remove entryFileIsJs option; it can be inferred from whether the allowJs TypeScript compiler option has been set.
  • move to webpack 3.0 for test harness
  • drop configFileName support (replaced by configFile) BREAKING CHANGE
  • add support for a custom formatter for output - drop visual studio format (this can be added back if there's clamour for it and people can supply their own formatters in the interim) BREAKING CHANGE
  • make loglevel warn by default (stop outputting typescript version number by default). Fixes #488
  • fix tsc has "module" default to "es2015"when targetting es2015+, but ts-loader does not - thanks @Venryx for the suggestion!
  • switch to build ts-loader / run tests with yarn because of this
  • allow controlling whether the output can contain colours

v2.3.7

v2.3.6

v2.3.5

v2.3.4

v2.3.3

v2.3.2

v2.3.1

v2.3.0

v2.2.2

v2.2.1

v2.2.0

v2.1.0

v2.0.3

v2.0.2

v2.0.1

v2.0.0

Breaking changes:

  • ts-loader now officially only supports webpack 2. ts-loader 2.x may work with webpack 1 but it is not supported. Related to that, all continuous integration tests now run against webpack 2.
  • as webpack 2 does not support node 0.12 neither does ts-loader from now. node 4 at least is required.

v1.3.3

v1.3.2

v1.3.1

v1.3.0

NB Previously the entryFileIsJs option was on by default when allowJs was true. Now it has to be specified directly. Strictly speaking this is a breaking change; however given this is a rarely used option which exists for what is arguably an edge case this is being added without moving to 2.0. If this breaks people then we'll never do this again; I'd be surprised if anyone is relying on this though so we're taking a chance. Related tests have been suffixed "-entryFileIsJs" in the test name.

v1.2.2

v1.2.1

v1.2.0

v1.1.0

v1.0.0

v0.9.5

v0.9.4

v0.9.3

v0.9.2

v0.9.1

v0.9.0

Now built using TypeScript v2.0

v0.8.2

  • Elided imports are now watched (#156, #169)
  • Declaration files for .d.ts files are now emitted (thanks @rob-bateman) (#174, #175)

v0.8.1

  • Add better error messaging when a file in tsconfig.json can not be loaded (#117, #145)
  • Fix incompatibility with html-webpack-plugin (#152, #154)

v0.8.0

  • Add support for emitting declaration files when declaration: true is set (#48, #128)
  • Fix bug with specifying target: es6 and module: commonjs at the same time when using TS 1.7+ (#111, #132, #140).
  • Fix bug with resolving dependencies which are linked using npm link (#134, #141)

v0.7.2

  • Fix regression with watching definition files (#109, #110)

v0.7.1

  • Fix regression with Windows that was introduced in v0.7.0 (#92)

v0.7.0

  • Fix bug with webpack resolution that could sometimes cause TypeScript to not find modules (#92, #102)
  • Loader output is now written to stderr instead of stdout. (#95, #103)

v0.6.1

  • Improve initial build performance significantly for larger projects (#100)
  • Fix issue with nightly (#96)

v0.6.0

  • Remove support for 1.5 and 1.6-beta. TypeScript 1.6 (stable) is the now the lowest version supported.
  • Fix issue when using source maps and Babel in certain situations (#81)
  • Fix issue with nightly (#83)

v0.5.6

  • Add ignoreDiagnostics feature
  • Fix issue with node resolution and noEmitOnError (#71)

v0.5.5

  • Fix issue with nightly (Microsoft/TypeScript#4738)
  • Add support for the NoErrorsPlugin

v0.5.4

  • Fix issue with nightly (Microsoft/TypeScript#4497)

v0.5.3

  • Utilize TypeScript's new custom module resolution logic to integrate with webpack. This essentially means that TypeScript will resolve files exactly the same as webpack does (supporting aliases, etc). See the aliasResolution test for an example. Only supported in TS 1.6 and above.
  • Rework error reporting to resolve certain edge cases with dependencies. In general errors should be much more consistent now in watch mode.
  • Fix issue with targeting ES6 and transpile mode (#36)

v0.5.2

  • Fix issue with TypeScript nightly and new node module resolution strategy (#34)

v0.5.1

  • Tweaked error message output to include error code (#32)
  • Add helpful messages around the TypeScript dependency
    • Suggest how to install TypeScript if it hasn't been installed
    • Show TypeScript version when compiling
    • Warn if TypeScript version is incompatible

v0.5.0

  • Add support for transpileOnly loader option. See README for more information.
  • TypeScript is no longer a dependency of the loader and must be installed separately
  • Loader options can now be set as a property in webpack.config.js
  • TypeScript options can be set through the loader option compilerOptions
  • Improved error reporting
    • Errors from all files in the TypeScript application are now reported in watch mode instead of from just those files that changed. This means that making a breaking change in a dependency will now be correctly reported as an error in the dependent file.
    • Errors with TypeScript options are now reported as webpack errors instead of logged to console
    • Error output no longer contains the filename once from webpack and again in the error message. Instead, the filename is only reported by webpack
    • Fixed issue with latest version of webpack where filenames could be reported twice for the same error in certain situations
  • Using the declaration TypeScript option no longer results in errors
  • Add support for the newLine TypeScript option
  • Tests have been revamped to be full integration tests with nightly builds against the current stable and nightly TypeScript. Many new tests have been added.

v0.4.7

  • Update TypeScript dependency to 1.5 release (1.5.3)

v0.4.6

  • Improve error reporting related to tsconfig.json
    • Fix bug that reported the wrong errors
    • Errors are now reported as webpack errors instead of logged to console
  • Add support for latest TypeScript nightly (#24)

v0.4.5

  • Add silent flag (#22)

v0.4.4

  • Add support for "noLib" compiler option (#19)
  • Make errors easier to parse programmatically (#20)
    • Errors in declaration files are now added to the stats object instead of written to console
    • Errors now include file, rawMessage, and location properties
  • Make --watch option more robust
    • Fix issue where changes to entry file were not detected
    • Fix issue where changes to typing information only did not result in a rebuild (#21)

v0.4.3

  • Fix error locations to be 1-based instead of 0-based (#18)

v0.4.2

  • Rework the way dependencies are loaded (#14)
  • Fix NPM dependency on TypeScript (#15, #16)

v0.4.1

  • Fix Windows issue with paths (#14)

v0.4.0

  • TypeScript 1.5 support! (#14)
  • tsconfig.json support (#2, #9)
  • ES6 target support
  • Remove TS-related options in favor of specifying them in tsconfig.json
  • Add configFileName option for custom tsconfig files

v0.3.4

  • Exclude TS 1.5 as a dependency since there are breaking changes

v0.3.3

  • Add support for reporting errors in declaration files (#10)
  • Add support for watch mode for declaration files (#11)
  • Fix issue with extra sourceMappingURL in output files (#12)

v0.3.2

  • Add support for manually adding files (#6)
  • Add paths to source maps (#8)

v0.3.1

  • Add support for specifying a custom TypeScript compiler

v0.3.0

  • Change how modules are resolved. Imports and declaration file references are now resolved through TypeScript instead of being resolved through webpack's resolve API. This fixes a number of issues and better aligns the loader to work as a replacement for the tsc command. (#3, #4, #5)

v0.2.3

  • Add noImplicitAny option (#2)

v0.2.2

  • Fix issue with source maps

v0.2.1

  • Add colors to error output

v0.2.0

  • Add new configuration options (#1)
    • target, module, sourceMap, instance
    • sourceMap default changed from true to false
  • Workaround issue with TypeScript always emitting Windows-style new lines
  • Add tests

v0.1.0

  • Initial version
You can’t perform that action at this time.